TOWCTRANS(3)

NAME
towctrans - convert a wide character with a specified map

SYNOPSIS
#include <wctype.h>
wint_t
towctrans(wint_t wc, wctrans_t charmap);

DESCRIPTION
The towctrans() function converts a wide character wc with a character mapping charmap.

The behaviour of towctrans() is undefined if the towctrans() function is called with an invalid charmap (changes of LC_CTYPE category invalidate charmap) or invalid wide character wc.

The behaviour of towctrans() is affected by the LC_CTYPE category of the current locale.

RETURN VALUES
towctrans() returns the resulting character of the conversion.

ERRORS
No errors are defined.

SEE ALSO
iswctype(3), setlocale(3), wctrans(3), wctype(3)

STANDARDS
The towctrans() function conforms to isoC-amd1.